import React from 'react';
import Uuid from 'uuid';
import classnames from 'classnames';
import PropTypes from 'prop-types';
import './label.less';

export default function Label({
    id,
    text,
    subClass,
    required,
    forHtml
}) {
    const className = classnames(
        'tsdev-label', subClass, { required: required }
    );

    return (
        <div id={id}
            forhtml={forHtml}
            className={className}>
            {text}
        </div>
    );
}

Label.propTypes = {
    forHtml: PropTypes.string,
    id: PropTypes.string,
    required: PropTypes.bool,
    subClass: PropTypes.string,
    text: PropTypes.string
};

Label.defaultProps = {
    forHtml: '',
    id: `dipatLabel-${Uuid.v4()}`,
    required: false,
    subClass: '',
    text: 'Label'
};

Label.displayName = 'Label';
