import React from 'react';
import keys from 'lodash/keys';
import { shallow } from 'enzyme';
import { ProgressSpinner } from './../../../index';

describe('| components | ProgressSpinner', () => {

    const component = (<ProgressSpinner />);
    const expectedNumberOfProps = 4;

    let wrapper;

    it('Ensure component class name', () => {
        wrapper = shallow(component);
        expect(wrapper.getElement(0).props.className).toBe('tsdev-progress-spinner');
        wrapper = shallow(<ProgressSpinner subClass="abc def" />);
        expect(wrapper.getElement(0).props.className).toBe('tsdev-progress-spinner abc def');
    });

    it('Ensure number of properties', () => {
        expect(keys(component.props).length).toBe(expectedNumberOfProps);
    });

    it('Ensure number of prop-types', () => {
        expect(keys(ProgressSpinner.propTypes).length).toBe(expectedNumberOfProps);
    });

});
